#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	strace
Version		:	4.26
Release		:	17.0.10.rel%{?dist}
Summary		:	Tracks and displays system calls associated with a running process
Group		:	Development/Debuggers

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	http://sourceforge.net/projects/strace/

Source0		:	%{name}-%{version}.tar.xz

buildroot	:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


#-----------------------------------------------------------------------------
%description
The strace program intercepts and records the system calls called and
received by a running process.  Strace can print a record of each
system call, its arguments and its return value.  Strace is useful for
diagnosing problems and debugging, as well as for instructional
purposes.

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)

./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--sharedstatedir=%{_var}/lib			\
	--localstatedir=%{_var}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%{__make} %{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

%files			
%defattr(-,root,root,-)

%doc AUTHORS COPYING NEWS README
%{_bindir}
%{_mandir}/man1

%post

%postun


%changelog
